export function LOGGING_IN(state, status) {
    state.logging_in = status;
}

export function LOGIN_SUCCESSFUL(state, { userObj, userGroup }) {
    userObj = JSON.parse(userObj);

    state.userObj = userObj;
    state.userGroup = userGroup;
    state.logging_in = false;
}

export function LOADED_LESSONS(state, { lessons }) {
    state.lessons = lessons;
    state.loading = false;
}

export function LOADED_CALLS(state, { calls }) {
    state.calls = calls;
    state.loading = false;
}

export function FETCHING_DATA(state) {
    state.loading = true;
}
